<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}

require_once("clases/pdo/db.class.php");

$db = new DB();

if(isset($_POST["pass_ant"]) && isset($_POST["pass"])){

		$pass_ant_md5=md5($_POST["pass_ant"]);
		$md5=md5($_POST["pass"]);
		if(trim($_SESSION['usuario_p_prov_absa']) != "demo"){
			if($pass_ant_md5 == $_SESSION['pass_p_prov_absa'])
			{
				$param = array(
								":username" => (string) $_SESSION['usuario_p_prov_absa'],
								":pass" => (string) $md5
								);
								
				$result = $db->qry_iud("update usuariosweb set pass = :pass where username = :username",$param);
				if($result === false){
					if($db->ERROR_NO != 0){
						?><script>$j_6.messager.alert("Error","Ocurrio un error al actualizar al usuario. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
					}
				}
				$_SESSION['pass_p_prov_absa'] = $md5;
				?><script>$j_6.messager.alert("Aviso","Contraseña actualizada correctamente.","info");</script><?php exit;
				
			}
			else
			{
					?><script>$j_6.messager.alert("Error","La contraseña anterior es incorrecta.","error");</script><?php exit;
			}
		}else{
					?><script>$j_6.messager.alert("Error","La contrase&ntilde;a de este usuario no se puede cambiar,<br> ya que es demo.","error");</script><?php exit;
		}

}
?>